var firstxpcomchrome = {
  total: 0,
  firstxpcom: null,
  
  onLoad: function(e) {
    // initialization code
    this.initialized = true;
    this.firstxpcom = Components.classes["@senecac.on.ca/firstxpcom;1"]
                                .createInstance(Components.interfaces.IFirstXpcom);
    this.firstxpcom.name = "First XPCOM";
  },

  onMenuItemCommand: function(e) {
    result = this.showDialog();
        
    // see if user clicked Cancel or OK
    if (!result)
      return;
        
    this.total = this.firstxpcom.add(this.total, result.value);
    this.firstxpcom.name = result.name;
        
    // Use the Alerts Service to display the results to the user.
    var alertsService = Components.classes["@mozilla.org/alerts-service;1"]
                                  .getService(Components.interfaces.nsIAlertsService);
    alertsService.showAlertNotification(null, this.firstxpcom.name, this.total, 
                                        false, "", null);
  },
  
  showDialog: function() {
    var params = {inn: {name:this.firstxpcom.name}, out: null};
    window.openDialog("chrome://firstxpcomchrome/content/firstxpcomdialog.xul", "",
                      "chrome, dialog, modal, resizable=yes", params).focus();
    return params.out
  },
};
window.addEventListener("load", function(e) { firstxpcomchrome.onLoad(e); }, false);
